PrintWriterLogger
Date: 2016-05-24

org.codehaus.mojo.animal_sniffer.logging

## Class PrintWriterLogger

- java.lang.Object
- - org.codehaus.mojo.animal_sniffer.logging.PrintWriterLogger

- All Implemented Interfaces:
    Logger

      public final class PrintWriterLogger
      extends java.lang.Object
      implements Logger

  Default implementation that sends output to a print writer
  Since:
    1.3

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrintWriterLogger(java.io.PrintStream destination)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `debug(java.lang.String message)`
    `void` | `debug(java.lang.String message, java.lang.Throwable t)`
    `void` | `error(java.lang.String message)`
    `void` | `error(java.lang.String message, java.lang.Throwable t)`
    `void` | `info(java.lang.String message)`
    `void` | `info(java.lang.String message, java.lang.Throwable t)`
    `void` | `warn(java.lang.String message)`
    `void` | `warn(java.lang.String message, java.lang.Throwable t)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PrintWriterLogger

          public PrintWriterLogger(java.io.PrintStream destination)

  - ### Method Detail

    - #### info

          public void info(java.lang.String message)

      Specified by:
        `info` in interface `Logger`

    - #### info

          public void info(java.lang.String message,
                  java.lang.Throwable t)

      Specified by:
        `info` in interface `Logger`

    - #### debug

          public void debug(java.lang.String message)

      Specified by:
        `debug` in interface `Logger`

    - #### debug

          public void debug(java.lang.String message,
                   java.lang.Throwable t)

      Specified by:
        `debug` in interface `Logger`

    - #### warn

          public void warn(java.lang.String message)

      Specified by:
        `warn` in interface `Logger`

    - #### warn

          public void warn(java.lang.String message,
                  java.lang.Throwable t)

      Specified by:
        `warn` in interface `Logger`

    - #### error

          public void error(java.lang.String message)

      Specified by:
        `error` in interface `Logger`

    - #### error

          public void error(java.lang.String message,
                   java.lang.Throwable t)

      Specified by:
        `error` in interface `Logger`